#include <iostream>
using namespace std;

int main() 
{
    int N, proizvod, operacija1, operacija2;
    int max = 0;
    cin >> N;
    int* A = new int[N];
    int* B = new int[N];
    for (int i = 0; i < N; i++)
    {
        cin >> A[i];
    }
    for (int j = 0; j < N; j++)
    {
        cin >> B[j];
    }
    for (int L = 0; L < N; L++) 
    {
          operacija1 = 0;
          operacija2 = ~0;
        for (int R = L; R < N; R++) 
        {
            operacija1 ^= A[R];
            operacija2 &= B[R];
            proizvod = operacija1 * operacija2;
           if (max < proizvod) {
             max = proizvod;
           }
        }
    }

    cout << max;
}